<h1 mat-dialog-title>Create Experiment Execution</h1>
    <div mat-dialog-content>
    <mat-form-field appearance="outline" class="rules-full-width">
      <mat-label>Execution name</mat-label>
      <input matInput [(ngModel)]="data.name">
  </mat-form-field>
  </div>
  <div mat-dialog-content>
    <mat-form-field appearance="outline" class="rules-full-width">
      <mat-label>Performance Diag</mat-label>
      <mat-select (selectionChange)="null" [(ngModel)]="data.perfDiag">
          <mat-option *ngFor="let df of perfDiag" [value]="df">
              {{df}}
          </mat-option>
      </mat-select>
  </mat-form-field>
  </div>


<div mat-dialog-actions>
  <button mat-button (click)="onNoClick()">Cancel</button>
  <button mat-button [mat-dialog-close]="data" cdkFocusInitial>Submit</button>
</div>